A short-lived link to view an image
GET
/v1/workspace/texting/media/{media_id}/url
const url = 'https://api.vocapable.com/v1/workspace/texting/media/example/url';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/texting/media/example/url \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”media_id
required
Media Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceMessageMediaUrl
object
id
required
Id
string
url
required
Url
string
content_type
required
Content Type
string
expires_at
required
Expires At
string format: date-time
Examplegenerated
{ "id": "example", "url": "example", "content_type": "example", "expires_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}